Name:           rolisteam
Version:        1.9.3
Release:        %mkrel 2
Summary:        A program to manage a tabletop role-playing game with remote players
Group:          Games/Other
License:        GPLv3
Url:            https://www.rolisteam.org
Source0:        https://downloads.sf.net/rolisteam/%{name}-%{version}.tar.gz

BuildRequires:  icoutils
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  qttools5

%description
Rolisteam helps you to manage a tabletop role-playing game with remote
friends/players. It provides many features to share maps and pictures, and it
also includes some tools to communicate with the other participants.

%prep
%autosetup -p1

%build
%qmake_qt5 PREFIX=%{_gamesbindir}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Rolisteam
Comment=A program to manage a tabletop role-playing game with remote players
GenericName=Role-playing game manager
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;RolePlaying;
EOF

install -D resources/logo/symbol.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
icotool -x 256.ico
install -D 256_1_256x256x32.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

%files
%doc AUTHORS COPYRIGHT README.md
%{_gamesbindir}/%{name}
%{_gamesbindir}/roliserver
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 1.9.3-2.mga8
+ Revision: 1659759
- Rebuild for new Qt5

* Tue Nov 17 2020 akien <akien> 1.9.3-1.mga8
+ Revision: 1646850
- Version 1.9.3

* Fri Oct 23 2020 akien <akien> 1.9.2-1.mga8
+ Revision: 1638892
- Version 1.9.2

* Tue Feb 18 2020 umeabot <umeabot> 1.9.1-2.mga8
+ Revision: 1538786
- Mageia 8 Mass Rebuild

* Tue Nov 26 2019 daviddavid <daviddavid> 1.9.1-1.mga8
+ Revision: 1462899
- new version: 1.9.1

* Sat Oct 19 2019 daviddavid <daviddavid> 1.9.0-1.mga8
+ Revision: 1454653
- new version: 1.9.0

* Mon Apr 01 2019 umeabot <umeabot> 1.8.2-3.mga7
+ Revision: 1384710
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.8.2-2.mga7
+ Revision: 1300845
- Mageia 7 Mass Rebuild

* Thu May 25 2017 akien <akien> 1.8.2-1.mga6
+ Revision: 1104687
- Version 1.8.2

* Wed Mar 15 2017 akien <akien> 1.8.0-1.mga6
+ Revision: 1092627
- Version 1.8.0, uses Qt5

* Tue Feb 16 2016 umeabot <umeabot> 1.6.1-3.mga6
+ Revision: 962719
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 1.6.1-2.mga6
+ Revision: 842898
- Fix English grammar

* Sun Apr 19 2015 akien <akien> 1.6.1-1.mga5
+ Revision: 820499
- Version 1.6.1
- Add desktop entry and icon

* Wed Oct 15 2014 umeabot <umeabot> 1.5.2-5.mga5
+ Revision: 742905
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.2-4.mga5
+ Revision: 688691
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.5.2-3.mga4
+ Revision: 518025
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.5.2-2.mga3
+ Revision: 380393
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 30 2012 malo <malo> 1.5.2-1.mga2
+ Revision: 203123
- fixing BuildRequires after import from spec from Olivier Delaune
- imported package rolisteam


* Mon Oct 24 2011 Olivier Delaune <olivier.delaune@wanadoo.fr> 1.5.0-1.mga1
- Package creation
